package cgi

import (
	"tildegit.org/tjp/sliderule"
	"tildegit.org/tjp/sliderule/spartan"
)

// SpartanCGIDirectory runs any executable files relative to a root directory on the file system.
//
// It will also find and run any executables _part way_ through the path, so for example
// a request for /foo/bar/baz can also run an executable found at /foo or  /foo/bar. In
// such a case the PATH_INFO environment variable will include the remaining portion of
// the URI path.
func SpartanCGIDirectory(fsroot, urlroot, cmd string) sliderule.Handler {
	return cgiDirectory(spartan.ServerProtocol, fsroot, urlroot, cmd)
}
