package main

import (
	"context"
	"log"

	"github.com/go-kit/log/level"
	"tildegit.org/tjp/sliderule/finger"
	"tildegit.org/tjp/sliderule/logging"
)

func main() {
	baselog := logging.Base()
	fs, err := finger.NewServer(
		context.Background(),
		"localhost",
		"tcp",
		":79",
		logging.LogRequests(level.Info(baselog))(finger.SystemFinger(false)),
		logging.Base(),
	)
	if err != nil {
		log.Fatal(err)
	}

	fs.Serve()
}
