package gopher

import (
	"io"
	"net/url"

	"tildegit.org/tjp/sliderule/internal/types"
)

type proto struct{}

func (p proto) TemporaryRedirect(u *url.URL) *types.Response { return nil }
func (p proto) PermanentRedirect(u *url.URL) *types.Response { return nil }

func (p proto) TemporaryServerError(err error) *types.Response { return Error(err).Response() }
func (p proto) PermanentServerError(err error) *types.Response { return Error(err).Response() }
func (p proto) CGIFailure(err error) *types.Response           { return Error(err).Response() }

func (p proto) Success(filename string, body io.Reader) *types.Response {
	return File(GuessItemType(filename), body)
}

func (p proto) ParseResponse(input io.Reader) (*types.Response, error) {
	return &types.Response{Body: input, Status: MenuType}, nil
}

var ServerProtocol types.ServerProtocol = proto{}
