package types

import (
	"io"
	"net/url"
)

type ServerProtocol interface {
	TemporaryRedirect(*url.URL) *Response
	PermanentRedirect(*url.URL) *Response

	TemporaryServerError(error) *Response
	PermanentServerError(error) *Response
	CGIFailure(error) *Response

	Success(filename string, body io.Reader) *Response

	ParseResponse(io.Reader) (*Response, error)
}
