package nex

import (
	"io"
	"net/url"

	"tildegit.org/tjp/sliderule/internal/types"
)

type proto struct{}

func (p proto) TemporaryRedirect(u *url.URL) *types.Response { return nil }
func (p proto) PermanentRedirect(u *url.URL) *types.Response { return nil }

func (p proto) TemporaryServerError(err error) *types.Response { return StringResponse(err.Error()) }
func (p proto) PermanentServerError(err error) *types.Response { return StringResponse(err.Error()) }
func (p proto) CGIFailure(err error) *types.Response           { return StringResponse(err.Error()) }

func (p proto) Success(_ string, body io.Reader) *types.Response { return Response(body) }

func (p proto) ParseResponse(input io.Reader) (*types.Response, error) { return Response(input), nil }

var ServerProtocol types.ServerProtocol = proto{}
