package nex

import (
	"bytes"
	"io"

	"tildegit.org/tjp/sliderule/internal/types"
)

// Response builds a nex Response from an io.Reader.
func Response(body io.Reader) *types.Response {
	return &types.Response{Body: body}
}

// StringResponse builds a nex Response from a string.
func StringResponse(body string) *types.Response {
	return Response(bytes.NewBufferString(body))
}
